Bug 435012 - revisor won't resolve dependency between packages.
revisor won't resolve dependency between packages.
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-26 15:15 EST by fygar256
Modified: 2008-05-03 13:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-03 13:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
All packages in DVD (20.23 KB, text/plain)
2008-02-29 06:36 EST, fygar256
no flags Details

  None (edit)
Description fygar256 2008-02-26 15:15:22 EST
Description of problem:
revisor won't resolve dependency of packages.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.select one package which needs resolving dependency when installing in revisor
2.create iso image
3.create DVD
Actual results:
Package selected isn't installed.

Expected results:
Being Installed correctly with the other depended packages.

Additional info:
I would like you to change revisor easy handling at the point of resolving
dependency between packages such as yum.
Comment 1 Jeroen van Meeuwen 2008-02-28 16:43:32 EST
I'm not sure what the problem is here. You select a package in the Revisor GUI,
and then it creates a DVD. Do you have problems composing that DVD or installing
with that DVD?
Comment 2 fygar256 2008-02-29 06:07:33 EST
For example,
I have selected gnome environment and k3b (kde application which has dependency
on kde packages and the other) in the revisor GUI and installed the Fedora 8
i386 version selected everything for install with the DVD on vmware virtual
machine in text mode (because vmware don't display the screen of installer) for
testing ,when k3b was not installed. I know how to install k3b via internet on
that situation. But one thing the only DVD installing does not include selected
installation is the problem.
Comment 3 Jeroen van Meeuwen 2008-02-29 06:23:01 EST
Assuming this is a default installation of Revisor, could you get me a list of
the contents of the directory in which the RPM files are on the DVD?

In addition, I'd like to know how you've selected "Everything". Did you just
select "Office and Productivity", "Software Development" and "Web Server" or did
you choose 'customize' and then select all the groups that appear in the list?
Comment 4 fygar256 2008-02-29 06:36:41 EST
Created attachment 296329 [details]
All packages in DVD

Here is a list of all packages. I respect you to check it with great patience.

I selected all of "Office and Productivity", "Software Development" and "Web
Server" and choose "custoize" and selected all the groups listed.

Thank You.
Comment 5 Jeroen van Meeuwen 2008-04-29 20:16:11 EDT
Please check the little checkbox under this text area next time ;-) It'll notify
me you've provided information.

k3b is in the set of packages on the DVD - that's Revisor's part in the game.

During installation, selecting all groups doesn't necessarily mean all packages
are installed. By clicking the groups checkbox, you only select "Mandatory" and
"Default" packages. To each group, there's also "Optional" packages. In those
cases, right-click on the group and choose "Select all optional packages".
Comment 6 fygar256 2008-05-02 20:31:32 EDT
Thank you and sorry about the checkbox to send information.

I have tried to make a DVD that contains installation of k3b several times but I
have no succession (is that because the installation is text mode?) with
referring to your message. k3b is in the "sound and videos" on revisor. Next
time I will see the part of the "game".

However, It does not matter whether k3b or such special packages will be
installed on the way you wrote. What I'd like to provide you is the idea about
the operativity of revisor that:
If you specify a package anywhere on revisor, I (or somebody) would like that
revisor will yank the proper packages that have dependency between the package
specified like yum.

If you would make change to realize the function, I think it might need a major
change of the program of revisor. So I won't strongly propose you that. But I
think that such a function could be good. Is that proposal a little annoyance...

Thank you.
Comment 7 Jeroen van Meeuwen 2008-05-03 13:49:32 EDT
There's two parts to this - I'm sorry I don't know how to put it differently;

Revisor will create you a DVD that contains k3b, all it's dependencies, as well
as other programs you may or may not have selected, and their dependencies. It
sounds like this is what you are requesting Revisor to do, but it's already
doing that. As you can see in comment #4, your attachment shows k3b is in the
package set.

Then there is the part where you start the installation; Whether you select, or
are able to select, 'k3b' specifically, or by selecting all mandatory, default
or optional packages from a group, isn't up to Revisor. Neither is making k3b a
member of such group or making k3b a mandatory, default or optional package
within that group.

The latter part however is where you select the packages you want to install.
However we've seen this request pass by a number of times, and the suggested
solution is that you let Revisor include a kickstart on the media, and set the
default boot loader menu entry to start the installation using that kickstart.
This way you create installation media with that kickstart and use that
kickstart to install; what you select in Revisor will end up on the installed

Note that you do not necessarily have to create a kickstart in advance; Revisor
can write out everything to that kickstart for you.

For creating a kickstart I'd recommend system-config-kickstart, and
if you want to read more.

Note You need to log in before you can comment on or make changes to this bug.